#import arcpy
import arcpy
from arcpy import env
from arcpy.sa import *
arcpy.CheckOutExtension = "Spatial"

#Set working directory
arcpy.env.workspace = "C:/Users/Hen/Documents/ArcGIS/TRAC2017"

#Set Ecocrop variables for wheat
minA = float(5)
minB = float(15)
maxC = float(23)
maxD = float(27)
divA = (minB - minA)
divB = (maxD - maxC)

#Set input raster
inRas1 = arcpy.Raster(r"C:\Data\WorldClim\Minimum\tmin1.tif")

#Carry out Map Algebra
outCon = Con((inRas1 > minB) & (inRas1 < maxC),(inRas1 ? minA)/divA))
outCon.save("C:/Users/Hen/Documents/ArcGIS/TRAC2017/outcon7")